Debian Bug report logs - #472600
clamav: Debian stable version 0.90.1 can't update anymore

version graph

Package: clamav; Maintainer for clamav is ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>; Source for clamav is src:clamav.

Reported by: Arno Bottema <support@ti.scouting.nl>

Date: Tue, 25 Mar 2008 08:00:13 UTC

Severity: grave

Found in version 0.90.1dfsg-3etch10

Fixed in version clamav/0.92~dfsg-1

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stephen Gran <sgran@debian.org>:
Bug#472600; Package clamav. Full text and rfc822 format available.

Acknowledgement sent to Arno Bottema <support@ti.scouting.nl>:
New Bug report received and forwarded. Copy sent to Stephen Gran <sgran@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arno Bottema <support@ti.scouting.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: clamav: Debian stable version 0.90.1 can't update anymore
Date: Tue, 25 Mar 2008 08:57:34 +0100
Package: clamav
Version: 0.90.1dfsg-3etch10
Severity: grave
Justification: renders package unusable


The clamav version in Debian Etch (0.90.1) can't update anymore:

Ignoring mirror 80.69.67.43 (too often connections with outdated version)
Ignoring mirror 91.196.169.220 (too often connections with outdated version)
Ignoring mirror 145.58.27.103 (too often connections with outdated version)
Ignoring mirror 194.109.6.74 (too often connections with outdated version)
Ignoring mirror 217.19.16.188 (too often connections with outdated version)
Ignoring mirror 62.133.206.90 (too often connections with outdated version)
ERROR: Can't download daily.cvd from db.local.clamav.net 

This text is found in freshclam.log at every update and happened after restarting the clamav daemons.

Company policy requires the usage of Stable release.

Regards,
Arno Bottema


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17.7SNTI005
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages clamav depends on:
ii  clamav-freshclam [cla 0.90.1dfsg-3etch10 downloads clamav virus databases f
ii  libc6                 2.3.6.ds1-13etch5  GNU C Library: Shared libraries
ii  libclamav2            0.90.1dfsg-3etch10 virus scanner library
ii  zlib1g                1:1.2.3-13         compression library - runtime

Versions of packages clamav recommends:
ii  arj                   3.10.22-2          archiver for .arj files
ii  clamav-base           0.90.1dfsg-3etch10 base package for clamav, an anti-v
pn  unzoo                 <none>             (no description available)

-- no debconf information




Bug marked as fixed in version 0.92~dfsg-1, send any further explanations to Arno Bottema <support@ti.scouting.nl> Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 01:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Gran <sgran@debian.org>:
Bug#472600; Package clamav. Full text and rfc822 format available.

Acknowledgement sent to Andrew Shirrayev <andrews@gate.ort.spb.ru>:
Extra info received and forwarded to list. Copy sent to Stephen Gran <sgran@debian.org>. Full text and rfc822 format available.

Message #12 received at 472600@bugs.debian.org (full text, mbox):

From: Andrew Shirrayev <andrews@gate.ort.spb.ru>
To: <472600@bugs.debian.org>
Subject: Quick workaround
Date: Sun, 23 Apr 2006 21:00:01 +0400 (MSD)
Adding correct HTTPProxyServer & HTTPProxyPort solve this problem.

w/o proxy (timeout):



==============================================
$ strace /usr/bin/freshclam


fcntl64(5, F_GETFL)                     = 0x2 (flags O_RDWR)
fcntl64(5, F_SETFL, O_RDWR|O_NONBLOCK)  = 0
gettimeofday({1208970842, 77319}, NULL) = 0
connect(5, {sa_family=AF_INET, sin_port=htons(80),
sin_addr=inet_addr("83.222.14.114")}, 16) = -1 EINPROGRESS (Operation now in progress)
gettimeofday({1208970842, 77476}, NULL) = 0
select(6, NULL, [5], NULL, {29, 999843}) = 0 (Timeout)
gettimeofday({1208970872, 76316}, NULL) = 0
select(6, NULL, [5], NULL, {0, 1003})   = 0 (Timeout)
gettimeofday({1208970872, 80182}, NULL) = 0
write(3, "nonblock_connect: connect timing"..., 47) = 47
write(1, "nonblock_connect: connect timing"..., 47        nonblock_connect: connect timing out (30 secs)
) = 47
fcntl64(5, F_SETFL, O_RDWR)             = 0
==============================================




with proxy (fine work):

=============================================
fcntl64(5, F_GETFL)                     = 0x2 (flags O_RDWR)
fcntl64(5, F_SETFL, O_RDWR|O_NONBLOCK)  = 0
gettimeofday({1208971105, 306442}, NULL) = 0
connect(5, {sa_family=AF_INET, sin_port=htons(3128),
sin_addr=inet_addr("***.***.***.***")}, 16) = -1 EINPROGRESS (Operation now in progress)
gettimeofday({1208971105, 306562}, NULL) = 0
select(6, NULL, [5], NULL, {29, 999880}) = 1 (out [5], left {29, 996000})
getsockopt(5, SOL_SOCKET, SO_ERROR, [0], [4]) = 0
fcntl64(5, F_SETFL, O_RDWR)             = 0
send(5, "GET http://db.local.clamav.net/d"..., 126, 0) = 126
=============================================






Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 May 2008 07:26:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:19:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.